"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueThrottle = void 0;
const rxjs_1 = require("rxjs");
const queueThrottle = (cb, throttleSeconds) => {
    const subject = new rxjs_1.Subject();
    subject
        .pipe(rxjs_1.startWith(true), rxjs_1.throttleTime(throttleSeconds * 1000, rxjs_1.asyncScheduler, {
        leading: false,
        trailing: true
    }), rxjs_1.concatMap(() => rxjs_1.from(cb())))
        .subscribe();
    return (value) => subject.next(value);
};
exports.queueThrottle = queueThrottle;
//# sourceMappingURL=queueThrottle.js.map